#!/usr/bin/perl -TW
# NOTE: This script runs in Perl's "Taint" mode ('-T' flag in first line).

use strict;
use Cwd  qw(abs_path);
use File::Basename;

my $EXECDIR = abs_path(dirname($0)); $EXECDIR =~ /^(.*)$/; $EXECDIR = $1;
my $PAGENAME = basename($0); $PAGENAME =~ /^(\w+)\.pl$/; $PAGENAME = $1;
my $APP;

{
  require("$EXECDIR/cfg.pl");
  my %CONFIG = %{get_config()};
  $APP = lc($CONFIG{'APPNAME'});
}

require($EXECDIR.'/'.$PAGENAME.'_'.$APP.'.pl');

