#!/usr/bin/perl -T
#
# NOTE: This script runs in Perl's "Taint" mode ('-T' flag in first line).
#


use strict;
use CGI;
use Cwd  qw(abs_path);
use File::Basename;


my $q = new CGI;
my $EXECDIR = abs_path(dirname($0)); $EXECDIR =~ /^(.*)$/; $EXECDIR = $1;
require("$EXECDIR/cfg.pl");
my %CONFIG = %{get_config()};

# Untaint environment variables
#
$ENV{'PATH'} = "/bin:/usr/bin:/usr/local/bin";
$ENV{'CDPATH'} = '.';
$ENV{'ENV'} = '';

my $SELFURL = $q->url();


print $q->header('text/html');
print
qq(
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
            "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>iMembrane: Results not found</title>
<link rel="stylesheet" type="text/css" href="$CONFIG{'STYLESHEET'}">
</head>
<body>
  $CONFIG{'HTML_HEADER'}
    
    <p>&nbsp;</p>
    
    <h2>).html_pretty('View previous results').qq(</h2>
    
    <p>
      Paste your result ID in the text field below and press the "go" button.
    </p>
    
    <form action="$CONFIG{'QUEUEURL'}">
    <div>
      <input type="hidden" name="app" value="$CONFIG{'APPNAME'}">
      <input type="text" name="result_id" value="" size="50" maxlength="50">
      <input type="submit" value="Go">
    </div>
    </form>
    
    <p>&nbsp;</p>
    
  $CONFIG{'HTML_FOOTER'}
</body>
</html>
);
